Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 310693 - x11-themes/gtk-theme-switch-2.0.0_rc2-r2 does not respect LDFLAGS
Summary: x11-themes/gtk-theme-switch-2.0.0_rc2-r2 does not respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2010-03-22 12:53 UTC by Doktor Notor
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
gtk-theme-switch-2.0.0_rc2-makefile.patch (gtk-theme-switch-2.0.0_rc2-makefile.patch,1.12 KB, patch)
2010-03-22 12:54 UTC, Doktor Notor
Details | Diff
gtk-theme-switch-2.0.0_rc2-r2.ebuild.patch (gtk-theme-switch-2.0.0_rc2-r2.ebuild.patch,1.42 KB, text/plain)
2010-03-22 12:54 UTC, Doktor Notor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doktor Notor 2010-03-22 12:53:17 UTC
QA Notice: Files built without respecting LDFLAGS have been detected
 Please include the following list of files in your report:
/usr/bin/switch2

Patch attached...
Comment 1 Doktor Notor 2010-03-22 12:54:04 UTC
Created attachment 224669 [details, diff]
gtk-theme-switch-2.0.0_rc2-makefile.patch

While at it, I made the Makefile actually usable for compile and install :)
Comment 2 Doktor Notor 2010-03-22 12:54:33 UTC
Created attachment 224671 [details]
gtk-theme-switch-2.0.0_rc2-r2.ebuild.patch

cleaned-up ebuild
Comment 3 Samuli Suominen gentoo-dev 2010-06-06 08:55:33 UTC
Seems like this is fixed in 2.1.0 already, just didn't know there was this bug. I'll open stablereq for it. Thanks for reporting.